<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
	if (!defined("IGNX")) { die("Attempt..."); }

	if (isset($_GET["sc"]))
	{

		// gestion de mensajes
		if (isset($_GET["msj"]))
		{
		
			$tpl_sc_msj = $_GET["msj"];
		
			// Smarty
			$smarty->assign("sc_msj", $tpl_sc_msj);
			
		}

		// incluir producto
		if (isset($_GET["adc"]) && $_GET["adc"]>0)
		{

			if (!isset($_SESSION["gids"]))
			{
				$_SESSION["gids"] = array(); // itemID producto
				$_SESSION["counts"] = array(); // cantidad por producto
			}
			
			// producto en el carro
			$i=0;
			while ($i<count($_SESSION["gids"]) && $_SESSION["gids"][$i] != $_GET["adc"]) $i++;
			if ($i < count($_SESSION["gids"]))
			{
				$_SESSION["counts"][$i]++;
			}
			else
			{
				$_SESSION["gids"][] = $_GET["adc"];
				$_SESSION["counts"][] = 1;
			}

			Redir (RUTA_INICIO."len".IGUAL.IDIOMA_ACTUAL.AMPER."sc".IGUAL."1");

		}


		// borrar producto del carro
		if (isset($_GET["bor"]) && $_GET["bor"] > 0)
		{
			$i=0;
			while ($i<count($_SESSION["gids"]) && $_SESSION["gids"][$i] != $_GET["bor"]) $i++;
			if ($i<count($_SESSION["gids"])) $_SESSION["gids"][$i] = 0;

			Redir (RUTA_INICIO."len".IGUAL.IDIOMA_ACTUAL.AMPER."sc".IGUAL."1");
		}

		// borrar completamente el carro
		if (isset($_GET["borc"]))
		{
			unset($_SESSION["gids"]);
			unset($_SESSION["counts"]);

			Redir (RUTA_INICIO."len".IGUAL.IDIOMA_ACTUAL.AMPER."sc".IGUAL."1");
		}


		// cantidad de productos en el carro
		$c = 0;
		if (isset($_SESSION["gids"]))
			for ($j=0; $j<count($_SESSION["gids"]); $j++)
				if ($_SESSION["gids"][$j]) $c += $_SESSION["counts"][$j];

		// hay productos?
		if (isset($_SESSION["gids"]) && $c)
		{
			$k = 0; // total del carro
			$productos = array();
			for ($i=0; $i<count($_SESSION["gids"]); $i++)
			{
			  if ($_SESSION["gids"][$i])
			  {
				$q = myquery("SELECT * FROM ".ITEMS." WHERE item_tipo=3 AND itemID='".$_SESSION["gids"][$i]."'","[var_sc]");
				if ($r = myfetch($q))
				{
					if (IDIOMA_ACTUAL == 0)
					{		
						$r["titulo"] = $r["titulo"] ;
						$r["titulo_popup"] = salida_popups($r["titulo"]) ;
			
					} else if (IDIOMA_ACTUAL == 1) {
		
						$r["titulo"] = $r["titulo_1"] ;
						$r["titulo_popup"] = salida_popups($r["titulo_1"]) ;
		
					} else if (IDIOMA_ACTUAL == 2) {
		
						$r["titulo"] = $r["titulo_2"] ;
						$r["titulo_popup"] = salida_popups($r["titulo_2"]) ;
		
					} else if (IDIOMA_ACTUAL == 3) {
		
						$r["titulo"] = $r["titulo_3"] ;
						$r["titulo_popup"] = salida_popups($r["titulo_3"]) ;
		
					} else if (IDIOMA_ACTUAL == 4) {
		
						$r["titulo"] = $r["titulo_4"] ;
						$r["titulo_popup"] = salida_popups($r["titulo_4"]) ;
		
					} else if (IDIOMA_ACTUAL == 5) {
		
						$r["titulo"] = $r["titulo_5"] ;
						$r["titulo_popup"] = salida_popups($r["titulo_5"]) ;
		
					}
					$tmp = array();
					$tmp["id"] = $_SESSION["gids"][$i];
					$tmp["name"] = $r["titulo"];
					$tmp["name_popup"] = $r["titulo_popup"];
					$tmp["quantity"] = $_SESSION["counts"][$i];
					$tmp["product_code"] = $r["td_codigo"];
					$tmp["gastos"] = mostrar_pvp($r["td_gastos"]);
					$tmp["precio"] = ($r["td_descuento"] > 0) && ($r["td_descuento"] < $r["td_precio"]) ? mostrar_pvp($r["td_descuento"]) : mostrar_pvp($r["td_precio"]);
					$tmp["cost"] = ($r["td_descuento"] > 0) && ($r["td_descuento"] < $r["td_precio"]) ? mostrar_pvp($_SESSION["counts"][$i]*($r["td_descuento"]+$r["td_gastos"])) : mostrar_pvp($_SESSION["counts"][$i]*($r["td_precio"]+$r["td_gastos"]));
					$tmp["tipo"] = $r["td_tipo"];
					
					$productos[] = $tmp;
					
					// cantidad final
					if ($r["td_descuento"] > 0 && $r["td_descuento"] < $r["td_precio"])
					{
						$k += $_SESSION["counts"][$i]*($r["td_descuento"]+$r["td_gastos"]);
					} else {
						$k += $_SESSION["counts"][$i]*($r["td_precio"]+$r["td_gastos"]);
					}
				
				} // del if ($r = myfetch($q))
			  
			  } // del if ($_SESSION["gids"][$i])
			
			} // del for

			// Smarty
			$smarty->assign("pedido_productos", $productos);
			$smarty->assign("pedido_total", mostrar_pvp($k));
			
		} else {
			// no hay productos
			// Smarty
			$smarty->assign("cart_total", "");
		}


	}



?>
